-- Test of partially applied constructors

data List (A:Set) : Set where
  nil : List A
  (::) : A -> List A -> List A

infixr 6 ::

Int : Set

x : Int
y : Int

ints : List Int
ints = x :: y :: nil

f : List Int -> List Int
f = (::) x

test = f nil

take1 : List Int -> List Int
take1 nil	  = nil
take1 ((::) x xs)  = x :: nil

test1 = take1 nil
test2 = take1 ints

